> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DNC numbers

> Retrieve DNC numbers with filtering by type (global or user-specific) and pagination.



## OpenAPI

````yaml /openapi.yml get /v1/dnc_numbers/list
openapi: 3.0.0
info:
  title: Fluents Hosted API
  description: |2-

            Fluents' Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  version: 1.0.0
  contact:
    name: Support
    url: https://fluents.com
    email: support@fluents.ai
servers:
  - url: https://api.fluents.ai
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v1/dnc_numbers/list:
    get:
      tags:
        - DNC Numbers
      summary: Get DNC numbers
      description: >-
        Retrieve DNC numbers with filtering by type (global or user-specific)
        and pagination.
      operationId: DncController_getDncNumbers
      parameters:
        - name: type
          required: true
          in: query
          schema:
            type: string
        - name: page
          required: true
          in: query
          schema:
            type: number
        - name: size
          required: true
          in: query
          schema:
            type: number
        - name: sort_column
          required: true
          in: query
          schema:
            type: string
        - name: sort_desc
          required: true
          in: query
          schema:
            type: boolean
        - name: filters
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDncNumberDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
components:
  schemas:
    PaginatedDncNumberDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/DncNumberDto'
        page:
          type: number
        size:
          type: number
        has_more:
          type: boolean
        total:
          type: number
        total_is_estimated:
          type: boolean
      required:
        - items
        - page
        - size
        - has_more
        - total
        - total_is_estimated
    BadRequestError:
      type: object
      properties:
        message:
          type: string
        error:
          type: string
        statusCode:
          type: number
          example: 400
      required:
        - message
        - error
        - statusCode
    DncNumberDto:
      type: object
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        phoneNumber:
          type: string
          example: '+1234567890'
        userId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
          nullable: true
        reason:
          type: string
          example: Customer requested to be removed from calling list
          nullable: true
        createdAt:
          type: string
          example: '2023-01-01T00:00:00Z'
        updatedAt:
          type: string
          example: '2023-01-01T00:00:00Z'
      required:
        - id
        - phoneNumber
        - createdAt
        - updatedAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````